Summary:	The procmail mail processing program
Name:		procmail
Version:	3.24
Release:	%mkrel 2
License:	GPL/Artistic
Group:		System/Servers
URL:		https://github.com/BuGlessRB/procmail
Source0:	https://github.com/BuGlessRB/procmail/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		procmail-3.22-lockf.patch
Patch3:		procmail-3.22-benchmark.patch
# Fix #27484: explictly define sendmail's location as it's not
# installed when we build procmail so it can't detect it - AdamW
# 2008/03 (thanks Snowbat)
Patch4:		procmail-3.22-defsendmail.patch
# https://github.com/BuGlessRB/procmail/pull/7
Patch5:		procmail-3.24-gcc-14-fix.patch
Provides:	MailTransportAgent

%description
The procmail program is used by %{_vendor} for all local mail
delivery. In addition to just delivering mail, procmail can be used
for automatic filtering, presorting and other mail handling jobs.
Procmail is also the basis for the SmartList mailing list processor.

%prep
%autosetup -p1

%build
echo -n -e "\n"|  %make_build CFLAGS0="%{optflags}" LDFLAGS0="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man5}

make \
    BASENAME=%{buildroot}%{_prefix} \
    MANDIR=%{buildroot}%{_mandir} \
    install.bin install.man

## duplicate in /usr/bin
rm -f examples/mailstat

%files
%doc FAQ HISTORY README KNOWN_BUGS FEATURES examples
%attr(6755,root,mail) %{_bindir}/procmail
%attr(2755,root,mail) %{_bindir}/lockfile
%{_bindir}/formail
%{_bindir}/mailstat
%{_mandir}/man1/*1*
%{_mandir}/man5/*5*


%changelog
* Mon Sep 30 2024 daviddavid <daviddavid> 3.24-2.mga10
+ Revision: 2102031
- add patch to fix build with GCC 14

* Sun Sep 04 2022 wally <wally> 3.24-1.mga9
+ Revision: 1883770
- new version 3.24
- update URL
- drop upstreamed patches

* Tue Mar 15 2022 umeabot <umeabot> 3.22-28.mga9
+ Revision: 1792262
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.22-27.mga8
+ Revision: 1516172
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.22-26.mga7
+ Revision: 1300379
- Mageia 7 Mass Rebuild

* Tue Oct 17 2017 luigiwalser <luigiwalser> 3.22-25.mga7
+ Revision: 1172323
- resync patch7 with fedora
- add patch from fedora to fix heap-based buffer overflow in loadbuf function
  (rhbz#1500070)

* Tue Feb 09 2016 umeabot <umeabot> 3.22-24.mga6
+ Revision: 952289
- Mageia 6 Mass Rebuild

* Wed Feb 11 2015 luigiwalser <luigiwalser> 3.22-23.mga5
+ Revision: 814726
- add patch from debian#769937 to fix more issues with parsing addresses

* Wed Oct 15 2014 umeabot <umeabot> 3.22-22.mga5
+ Revision: 750534
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.22-21.mga5
+ Revision: 687789
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 3.22-20.mga5
+ Revision: 672274
- add patch from fedora to fix CVE-2014-3618

* Fri Oct 18 2013 umeabot <umeabot> 3.22-19.mga4
+ Revision: 517684
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.22-18.mga3
+ Revision: 378224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 21 2011 ahmad <ahmad> 3.22-17.mga1
+ Revision: 100002
- Replace a reference to Mandriva with Mageia

* Sun Jan 23 2011 ennael <ennael> 3.22-16.mga1
+ Revision: 34301
- imported package procmail


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.22-16mdv2011.0
+ Revision: 607221
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 3.22-15mdv2010.1
+ Revision: 519061
- rebuild

* Mon Aug 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.22-14mdv2010.0
+ Revision: 420297
- o add patch from fedora to fix build

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 3.22-13mdv2009.1
+ Revision: 317545
- really use %%{optflags}
- use %%{ldflags}

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.22-12mdv2009.0
+ Revision: 225079
- rebuild

* Fri Mar 21 2008 Adam Williamson <awilliamson@mandriva.org> 3.22-11mdv2008.1
+ Revision: 189316
- add defsendmail.patch to fix #27484 - define the location of sendmail, as it's not installed when we build procmail so it can't detect it

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.22-10mdv2008.1
+ Revision: 179365
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 3.22-9mdv2008.0
+ Revision: 87635
- s/Mandrake/Mandriva/


* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> 3.22-8mdv2007.0
+ Revision: 114734
- mkrel

* Tue Jan 24 2006 Warly <warly@mandriva.com> 3.22-7mdk
- Add benchmark patch from Johan Evenhuis (bug 8877)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.22-6mdk
- Rebuild

* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.22-5mdk
- rebuild
- misc spec file fixes

